Subject: bug#63260: 29.0.90; Regression installing/activating packages without autoloads

From: Basil Contovounesios <[email-masked]>
Date: Sun, 07 May 2023 12:59:32 +0200

Eli Zaretskii [2023-05-06 09:28 -0400] wrote:

>> From: Basil Contovounesios <[email-masked]>
>> Cc: Robert Pluim <[email-masked]>,  [email-masked],
>>   [email-masked]
>> Date: Sat, 06 May 2023 15:12:31 +0200
>> 
>> > Philip, Basil: is the above okay with you?  I'd like this issue
>> > resolved before making the next pretest of Emacs 29.1.
>> 
>> As I said in my other message, AFAICT this fixes a symptom specific to
>> package-quickstart of the more general autoload file problem
>> reintroduced by dd21003878d.
>
> I'm trying to find a solution that is less drastic than reverting
> commit dd21003878d.  Please help me.

I would like to, but I'm unfamiliar with loaddefs-gen and what Philip's
change was addressing.  I'll need some time to understand and test
what's going on.  Unfortunately I'm only very sporadically at a keyboard
until at least tomorrow evening.  Hopefully Philip or Robert can beat me
to it, otherwise I hope to have a look in the coming days.

Thanks,

-- 
Basil